=== debian/changelog ===
solid (5.116.0+p24.04+vstable+git20251015.0802-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 08:02:30 +0000
