## solid 5.116.0+p24.04+vstable+git20251019.0335

=== debian/changelog ===
solid (5.116.0+p24.04+vstable+git20251019.0335-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:35:48 +0000
