=== debian/control ===
Source: solid
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: bison,
               cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.51.0~),
               flex,
               graphviz,
               libimobiledevice-dev,
               libqt5sql5-sqlite,
               libudev-dev [linux-any],
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qtdeclarative5-dev (>= 5.8.0~),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4)
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/solid
Vcs-Git: https://invent.kde.org/neon/kde/solid.git
Vcs-Browser: https://invent.kde.org/neon/kde/solid
Maintainer: Neon CI <neon@kde.org>

Package: libkf5solid-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: udisks2 [linux-any], upower
Description: Qt library to query and control hardware
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 Solid is part of KDE Frameworks 5.
 .
 This package contains the solid-hardware5 tool.

Package: libkf5solid-dev
Section: libdevel
Architecture: any
Depends: libkf5solid5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends}
Recommends: libkf5solid-doc (= ${source:Version})
Breaks: kio-dev (<< 5.28), libkf5kio-dev (<< 5.51)
Replaces: libkf5solid-doc (<< 5.61.90-0)
Description: Qt library to query and control hardware
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.

Package: libkf5solid-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Qt library to query and control hardware (documentation)
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 Solid is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5solid5
Architecture: any
Multi-Arch: same
Depends: libkf5solid5-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: baloo-kf5 (<< 5.51),
        kdesignerplugin (<< 5.42),
        kio (<< 5.51),
        kross (<< 5.42),
        libkf5baloo5 (<< 5.51),
        libkf5kdelibs4support5 (<< 5.51),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5kiofilewidgets5 (<< 5.51),
        libkf5runner5 (<< 5.51)
Replaces: libkf5solid5-data (<< 5.53.0)
Recommends: media-player-info [linux-any]
Description: Qt library to query and control hardware
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 Solid is part of KDE Frameworks 5.

Package: libkf5solid5-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Qt library to query and control hardware
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 Solid is part of KDE Frameworks 5.
 .
 This package contains shared data files.

Package: qml-module-org-kde-solid
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: qtdeclarative5-kf5solid (<< 5.0.0-0ubuntu2)
Breaks: qtdeclarative5-kf5solid (<< 5.0.0-0ubuntu2)
Description: Qt library to query and control hardware plugin
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 This package is part of KDE Frameworks 5.

Package: qtdeclarative5-kf5solid
Section: oldlibs
Priority: optional
Architecture: all
Depends: qml-module-org-kde-solid, ${misc:Depends}, ${shlibs:Depends}
Description: transitional package to renamed qml-module-org-kde-solid
 Transitional package for qml-module-org-kde-solid.  This package is
 safe to remove.
 .
 This package is part of KDE Frameworks 5.
