## solid i18n-1.0.0

=== requirements.txt ===
django>=1.4,<1.9
